Get real-time metrics for a VPS
curl --request GET \
--url https://api.storiza.store/vps/{vmId}/metrics/current \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps/{vmId}/metrics/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vmId}/metrics/current"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Current VPS metrics retrieved successfully",
"data": {
"cpu": {
"usage": 123,
"cores": 123,
"threads": 123
},
"memory": {
"used": 123,
"total": 123,
"usage": 123
},
"disk": {
"used": 123,
"total": 123,
"usage": 123
},
"network": {
"rx": 123,
"tx": 123,
"rxRate": 123,
"txRate": 123
},
"status": "<string>",
"uptime": 123,
"loadAverage": [
123
],
"processes": 123
}
}Server metrics
Get real-time metrics for a VPS
Reads the VPS’s live CPU, memory, disk and network usage from the hypervisor (VM status, config and the latest RRD sample) and returns it together with the VM’s power status and uptime.
Required API key permission: vps:read
GET
/
vps
/
{vmId}
/
metrics
/
current
Get real-time metrics for a VPS
curl --request GET \
--url https://api.storiza.store/vps/{vmId}/metrics/current \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps/{vmId}/metrics/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vmId}/metrics/current"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Current VPS metrics retrieved successfully",
"data": {
"cpu": {
"usage": 123,
"cores": 123,
"threads": 123
},
"memory": {
"used": 123,
"total": 123,
"usage": 123
},
"disk": {
"used": 123,
"total": 123,
"usage": 123
},
"network": {
"rx": 123,
"tx": 123,
"rxRate": 123,
"txRate": 123
},
"status": "<string>",
"uptime": 123,
"loadAverage": [
123
],
"processes": 123
}
}Authorizations
An API key from the Storiza dashboard (API & Integrations), sent as Authorization: Bearer stz_….
Path Parameters
Minimum string length:
1Was this page helpful?